Summary:        Template engine and code generator
Name:           python-cheetah
Version:        3.3.1
Release:        1%{?dist}
License:        MIT
URL:            https://cheetahtemplate.org/
Source0:        https://github.com/CheetahTemplate3/cheetah3/archive/%{version}/cheetah3-%{version}.tar.gz
Patch0001:	    resolve-run-test-Wrong-argument.patch

BuildRequires:  gcc python3-devel python3-setuptools
BuildRequires:  python3-markdown python3-pygments

%description
Cheetah3 is a free and open source template engine and code generation tool.
It can be used standalone or combined with other tools and frameworks.
Web development is its principle use, but Cheetah is very flexible and is also
being used to generate C++ game code, Java, sql, form emails and even Python code.


%package -n python3-cheetah
Summary:        Template engine and code generator
Provides:       python3dist(cheetah3) = %{version}
Provides:       python%{python3_version}dist(cheetah3) = %{version}

%description -n python3-cheetah
Cheetah3 is a free and open source template engine and code generation tool.
It can be used standalone or combined with other tools and frameworks.
Web development is its principle use, but Cheetah is very flexible and is also
being used to generate C++ game code, Java, sql, form emails and even Python code.


%prep
%autosetup -p1 -n cheetah3-%{version}
%{__sed} -i -e '/^#!/,1d' Cheetah/Tests/*.py Cheetah/DirectiveAnalyzer.py Cheetah/Utils/Misc.py


%build
%py3_build


%install
%py3_install


%check
export PATH="%{buildroot}/%{_bindir}:$PATH" PYTHONPATH="%{buildroot}/%{python3_sitearch}"
%{buildroot}/%{_bindir}/cheetah test


%files -n python3-cheetah
%license LICENSE
%doc ANNOUNCE.rst README.rst TODO BUGS
%{_bindir}/cheetah*
%{python3_sitearch}/


%changelog
* Thu Sep 21 2023 Wang Guodong <gordonwwang@tencent.com> - 3.3.1-1
- Upgrade to version 3.3.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.6.post1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.6.post1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.6.post1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.6.post1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 05 2022 rockerzhu <rockerzhu@tencent.com> - 3.2.6.post1-1
- Initial build
